#!/bin/bash
set -e

ImageTag=$1
if [ -n "$ImageTag" ]
then
  echo "当前镜像tag: $ImageTag"
else
  echo "请输入当前镜像tag"
  exit
fi

### go build
echo "============ go build start ================"
make img-build ImageTag="${ImageTag}"
echo "============push images end ================"


export DOCKER_CLI_EXPERIMENTAL=enabled
docker buildx version
docker run --rm --privileged docker/binfmt:66f9012c56a8316f9244ffd7622d7c21c1f6f28d

docker buildx create --use --name mybuilder
docker buildx inspect mybuilder --bootstrap